package org.dromara.ygpassport.service;

import com.github.yulichang.base.MPJBaseService;
import org.dromara.ygpassport.domain.Tutor;
import org.dromara.ygpassport.domain.vo.TutorVo;
import org.dromara.ygpassport.domain.bo.TutorBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 导师组活动Service接口
 *
 * @author Lion Li
 * @date 2024-01-11
 */
public interface ITutorService extends MPJBaseService<Tutor> {

    /**
     * 查询导师组活动
     */
    TutorVo queryById(Long id);

    /**
     * 查询导师组活动列表
     */
    TableDataInfo<TutorVo> queryPageList(TutorBo bo, PageQuery pageQuery);

    /**
     * 查询导师组活动列表
     */
    List<TutorVo> queryList(TutorBo bo);

    /**
     * 新增导师组活动
     */
    Boolean insertByBo(TutorBo bo);

    /**
     * 修改导师组活动
     */
    Boolean updateByBo(TutorBo bo);

    /**
     * 校验并批量删除导师组活动信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
